For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
Documents

get

GET
https://api.groundx.ai/api/v1/ingest/document/:documentId
GET
/api/v1/ingest/document/:documentId
1from groundx import GroundX
2
3client = GroundX(
4 api_key="YOUR_API_KEY_HERE",
5)
6
7client.documents.get(
8 document_id="documentId",
9)
1{
2 "document": {
3 "documentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
4 "bucketId": 42,
5 "fileName": "Quarterly_Report_Q1_2024.pdf",
6 "fileSize": "2.3MB",
7 "fileType": "pdf",
8 "filter": {
9 "department": "finance",
10 "review_status": {
11 "approved": "true"
12 }
13 },
14 "processId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
15 "processLevel": "full",
16 "searchData": {},
17 "sourceUrl": "https://companydocs.example.com/reports/Q1_2024.pdf",
18 "status": "complete",
19 "statusMessage": "Document processed successfully",
20 "textUrl": "https://storage.groundx.ai/texts/3fa85f64-5717-4562-b3fc-2c963f66afa6.txt",
21 "xrayUrl": "https://storage.groundx.ai/xray/3fa85f64-5717-4562-b3fc-2c963f66afa6.json"
22 }
23}
Look up an existing document by documentId.
Was this page helpful?
Previous

lookup

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Path parameters

documentIdstringRequiredformat: "uuid"
The documentId of the document for which GroundX information will be provided.

Response

Look up success
documentobject

Errors

400
Bad Request Error
401
Unauthorized Error